REALPATH(1)

BEZEICHNUNG
realpath - aufgelöste Pfade ausgeben

ÜBERSICHT
realpath [OPTION] … DATEI …

BESCHREIBUNG

gibt den aufgelösten absoluten Dateinamen zurück; alles außer der letzten Komponente muss existieren

-e, --canonicalize-existing
    alle Komponenten des Pfades müssen existieren

-m, --canonicalize-missing
    keine Pfadkomponente muss existieren oder ein Verzeichnis sein

-L, --logical
    »..«-Komponenten vor Symlinks auflösen

-P, --physical
    Symlinks so auflösen, wie sie erkannt werden (Standard)

-q, --quiet
    Die meisten Fehlermeldungen unterdrücken

--relative-to=VERZEICHNIS
    den aufgelösten Pfad relativ zu VERZEICHNIS ausgeben

--relative-base=VERZEICHNIS
    absolute Pfade ausgeben, außer sie liegen unterhalb von VERZEICHNIS

-s, --strip, --no-symlinks
    Symlinks nicht expandieren

-z, --zero
    Jede Ausgabezeile mit einem Nullbyte statt des Zeilenumbruchs abschließen

--help
    zeigt Hilfeinformationen an und beendet das Programm.

--version
    gibt Versionsinformationen aus und beendet das Programm.

AUTOR
Geschrieben von Pádraig Brady.

FEHLER MELDEN
Onlinehilfe für GNU coreutils: https://www.gnu.org/software/coreutils/
Melden Sie Fehler in der Übersetzung an das deutschsprachige Team beim GNU Translation Project (https://translationproject.org/team/de.html).

COPYRIGHT
Copyright © 2022 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 (https://gnu.org/licenses/gpl.html) oder neuer.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
readlink(1), readlink(2), realpath(3)

Die vollständige Dokumentation ist unter <https://www.gnu.org/software/coreutils/realpathE
oder lokal mit folgendem Befehl verfügbar: info '(coreutils) realpath invocation'

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).